import lombok.AccessLevel flagged as unused in netbeans. #176

Closed
lombokissues opened this Issue Jul 14, 2015 · 5 comments

Projects

None yet

1 participant

@lombokissues
Collaborator

Migrated from Google Code (issue 103)

@lombokissues
Collaborator

๐Ÿ‘ค reinierz ย  ๐Ÿ•— Feb 13, 2010 at 04:04 UTC

Most likely due to the annotation busting done as part of delombok, perhaps we should suppress
that unless delombok is actually running.

more details: http://groups.google.com/group/project-
lombok/browse_thread/thread/4135c54e59b29c0e

@lombokissues
Collaborator

๐Ÿ‘ค mgryszko ย  ๐Ÿ•— Feb 13, 2010 at 11:04 UTC

As a workaround for this issue, you can specify always the full class name, e.g.
@ Getter(lombok.AccessLevel.PROTECTED).

@lombokissues
Collaborator

๐Ÿ‘ค reinierz ย  ๐Ÿ•— Jul 19, 2010 at 20:31 UTC

@lombokissues lombokissues added this to the 0.9.3 milestone Jul 14, 2015
@lombokissues
Collaborator

๐Ÿ‘ค reinierz ย  ๐Ÿ•— Jul 20, 2010 at 05:04 UTC

Should be fixed in 77ff3ca - will be released in 0.9.3 (Burrowing Whale)

@lombokissues
Collaborator

End of migration

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment